.dot-indicator {
  width: 100%;
  height: 100%;
  line-height: 100%;
  text-align: center;
}

.dot-indicator > div {
  margin: 5%;
  width: 20%;
  height: 20%;
  @include themify($themes) {
    background-color: themed('backgroundContrast');
  }

  border-radius: 100%;
  display: inline-block;
  vertical-align: middle;
  animation: bouncedelay 1.4s infinite ease-in-out;
  /* Prevent first frame from flickering when animation starts */
  animation-fill-mode: both;
}

.dot-indicator .bounce1 {
  animation-delay: -0.32s;
}

.dot-indicator .bounce2 {
  animation-delay: -0.16s;
}

@-webkit-keyframes bouncedelay {
  0%, 80%, 100% { -webkit-transform: scale(0.0) }
  40% { -webkit-transform: scale(1.0) }
}

@keyframes bouncedelay {
  0%, 80%, 100% {
    transform: scale(0.0);
  } 40% {
      transform: scale(1.0);
    }
}
